version: "3"

services:
  rails:
    image: gcr.io/docker-swarm-281107/ruby:latest
    build:
      context: .
      args:
        RUBY_FLAG: $RUBY_FLAG
    environment:
      RAILS_LOG_TO_STDOUT: yes, please
    restart: unless-stopped
    deploy:
      labels:
        - traefik.http.routers.serialization-medium-4-ruby.rule=Host(`rubies.mctf.online`)
        - traefik.http.services.serialization-medium-4-ruby.loadbalancer.server.port=3000
        - traefik.docker.network=traefik
    networks:
      - traefik

networks:
  traefik:
    external:
      name: traefik